float maxVelocity = 40;

class Planet
{
  PVector pos, vel;
  int mass;

  Planet(int x, int y, int mass)
  {
    pos = new PVector(x, y);
    vel = new PVector(0, 0);
    this.mass = mass;
  }

  //Gravitate planets toward each other
  void gravitate(Planet planet)
  {
    PVector toPlanet = PVector.sub(planet.pos, pos);
    toPlanet.div(sq(toPlanet.mag()));
    vel.add(PVector.mult(toPlanet, planet.mass));
    planet.vel.sub(PVector.mult(toPlanet, mass));
  }


  void updatePosition()
  {

    vel.limit(maxVelocity);
    vel.set(1,-10);
    pos.add(vel);
  }

  void wrap()
  {
    if (pos.x < 0)
    {
      pos.x = width;
    }
    else if (pos.x > width)
    {
      pos.x = 0;
    }
    if (pos.y < 0)
    {
      pos.y = height;
      pos.y = random(height);
    }
    else if (pos.y > height)
    {
      pos.y = 0;
    }
  }

  void draw()
  {
//    fill(0);
//    ellipse(pos.x, pos.y, mass*2, mass*2);
//    noFill();
  }

}



